<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              
 * @since             0.0.1
 * @package           sync-products-stock-status
 *
 * @wordpress-plugin
 * Plugin Name:       Sync Products Stock Status
 * Description:       Easily sync WooCommerce products stock status. Simple and variable products. Easy to use - link products straight from the product editor.
 * Version:           1.0.0
 * Author:            Stefanjm
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       sync-products-stock-status
 * Domain Path:       /languages
 * Requires Plugins:  woocommerce
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('SSBDP_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-SSBDP-activator.php
 */
function SSBDP_activate()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-SSBDP-activator.php';
	SSBDP_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-SSBDP-deactivator.php
 */
function SSBDP_deactivate()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-SSBDP-deactivator.php';
	SSBDP_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'SSBDP_activate');
register_deactivation_hook(__FILE__, 'SSBDP_deactivate');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-SSBDP.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    0.0.1
 */
function SSBDP_run()
{

	$plugin = new SSBDP();
	$plugin->run();

}
SSBDP_run();
